from PythonQt.QtGui import *

group = QGroupBox()
box = QVBoxLayout(group)
group.title = 'my panel'
label1 = QLabel(group)
box.addWidget(label1)
label1.setText('Scope buffer size: ' + str(xlab.getBufferSize()))
dial1 =  QDial(group)
dial1.setMinimumWidth(100)
dial1.setMinimumHeight(100)
dial1.setNotchesVisible(1)
dial1.maximum = 20
box.addWidget(dial1)
push1 =  QPushButton(group)
push1.text = 'voltage'
box.addWidget(push1)
group.show()

def showVal(val):
  push1.text = str(val / 10.0) + 'V'
  xlabAWG.setLevelsAmplitude(val / 10.0)

def clearDial():
  dial1.setValue(0)

dial1.connect('valueChanged(int)', showVal)
push1.connect('clicked()', clearDial)
xlab.refresh()